Subject: [Adslmib] draft-ietf-adslmib-gshdslbis-05 last call

From: "Michael Sneed" <[email-masked]>
Date: Thu, 23 Sep 2004 15:11:17 -0400

Thanks, Clay, for all of your work.

If anyone has any further issues with this draft, please voice them ASAP.  
If nothing is posted prior to 22:00Z Thur. next week we will conclude the WG 
Last Call and refer the document for publication.

Regards,

Mike

>From: "Clay Sikes" <[email-masked]>
>To: adslmib mail list <[email-masked]>
>Subject: [Adslmib] draft-ietf-adslmib-gshdslbis-05
>Date: Thu, 23 Sep 2004 13:46:29 -0400
>
>All,
>
>The current version of the "Definitions of Managed Objects for G.shdsl.bis 
>Lines" draft is -05. Please accept my apology for not keeping this list up 
>to date on the changes. This message should outline the changes made to the 
>draft, since the -02 version.
>
>On August 20, 2004, Mike Sneed, the adslmib Chair, issued a Last Call on 
>version -02 of the draft.
>
>On August 24, 2004, Randy Presuhn, sent two messages containing a list of 
>comments and issues with version -02. Let me say that I am extremely 
>grateful to Randy for the time he put in the review. His review was 
>extremely detailed and generated an awesome list of comments. His messages 
>containing the comments can be found on the ADSL MIB Discussion Archive. 
>The changes from version -02 to version -03 address each comment Randy had. 
>Below is an outline of the significant changes:
>1. The tool I used to generate a draft was updated which resulted in some 
>boiler plate and white space changes.
>2 Changes to the HDSL2-SHDSL-LINE-MIB portion were as follows:
>2a.. LAST-UPDATED was updated.
>2b. WG-URL was added.
>2c. REVISION list was collapsed and updated.
>2d. Added explicit bounds to objects pertaining to Rates. The explicit 
>bound matches Unsigned32 in SMIv2.
>2e. Added REFERENCEs to the objects in the hdsl2ShdslInventoryTable.
>2f. Added  hdsl2ShdslPayloadRateGroup.
>2g. Removed hdsl2ShdslStatusMaxAttainablePayloadRate and 
>hdsl2ShdslStatusActualPayloadRate from the hdsl2ShdslSpanStatusGroup and 
>add them to the hdsl2ShdslPayloadRateGroup.
>2h. Changed the hdsl2ShdslCurrShdslGroup to hdsl2ShdslWirePairGroup.
>
>I messed up the process of submitting version -03 with respect to saying 
>what version it was and having that match what was in the draft, so I 
>submitted version -04. In version -04, the LAST-UPDATED and REVISION were 
>updated. Even when I submitted version -04 to the IETF, I had everything in 
>the draft correct, but I stated in my email it was -03. I guess I'm just a 
>slow-learning, stupid newbie. Fortunately, the IETF didn't post what said, 
>but posted what was in the draft, so it worked out. God bless the IETF!
>
>On September 2, 2004, Randy Presuhn, commented that I had some dangling 
>references after the last round of edits. As a result, version -05 was 
>submitted with the following changes:
>1. LAST-UPDATED was updated.
>2. REVISION was updated. Remember the REVISIONs are collapsed since the 
>draft is that close to being an RFC.
>3. The following dangling references were removed:
>3a. RFC 1155
>3b. RFC 1157
>3c. RFC 1212
>3d. RFC 1215
>3e. RFC 1901
>3f. RFC 3412
>3g. RFC 3413
>3h. RFC 3416
>3i. RFC 3417
>3j. T1.213-2001
>
>This should bring us up to the -05 version of the draft. I didn't go 
>through the details of each change. Instead, I highlighted the "major" 
>ones. In anyone needs to look at any of the versions, please let me know 
>and I would be happy to send them to you.
>
>Again, sorry I haven't been updating the list. As a newbie, I wasn't sure 
>if I should, but since have learned that it's necessary.
>
>Regards,
>Clay Sikes
>
>
>
>-- Paradyne Mail --
>
>
>_______________________________________________
>Adslmib mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/adslmib

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today - it's FREE! 
http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib

---

From: "Clay Sikes" <[email-masked]>
Date: Fri, 24 Sep 2004 12:52:07 -0400

All,

My understanding of what is considered Normative reference and 
Informative reference was flawed. Bert has led me in the correct 
direction to developing the correct understanding to the meaning of 
these two types of references. As a result, I need to look over the 
references in the draft and may need to move them around. This process 
may require a few more cycles to get it just right.

Thanks,
Clay Sikes

Clay Sikes wrote:

> Bert,
>
> Thanks! This is very helpful.
>
> - Clay
>
> Wijnen, Bert (Bert) wrote:
>
>> Inline
>>
>>  
>>
>>> -----Original Message-----
>>> From: Clay Sikes [mailto:[email-masked]]
>>> Sent: Friday, September 24, 2004 17:32
>>> To: Clay Sikes
>>> Cc: Wijnen Bert (Bert); Randy Presuhn; 'Michael Sneed'
>>> Subject: Re: [Adslmib] draft-ietf-adslmib-gshdslbis-05 last call
>>>
>>>
>>> Hi Bert,
>>>
>>> I'm looking for clarification on references before I issue version 
>>> -06 of the draft. I'm not confident that my understanding is correct.
>>>
>>> My understanding is that references cited in the draft go in the 
>>> Normative References section. References that are not cited, but can 
>>> provide additional information, go in the Informative References 
>>> section. I checked out draft-rfc-editor-rfc2223bis-07.txt, Section 
>>> 4.7f and the Standard MIB Boilerplate, 
>>> http://www.ops.ietf.org/mib-boilerplate.html looking for 
>>> clarification. I did not find anything that supported or ruled out 
>>> my understanding.
>>> Is my understanding correct or is it flawed?
>>> If it's flawed, could you share the correct meaning?
>>>
>>>   
>>
>> Your interpretation/understanding is not correct.
>> The rules/guidelines/policy are/is:
>>
>> - All references MUST have citations in the text.
>> - All citations MUST have references
>> - Documents from which you IMPORT MUST be referenced normatively
>>  (and they must be cited in the text)
>> - Documents that a reader MUST understand in order to understand
>>  this document are normative.
>> - Documents that are just background info are informative
>> - If you want to go PS, then all normative references need to be
>>  sort of stds track too. You cannot make a normative ref to a
>>  experimental doc for example when your doc wants to go stds track
>>  Or when your doc goes DS (Draft Standard) none of your normative 
>>  references can point to a doc at PS level (which is lower lvl
>>  on standards track)
>>
>> See also: http://www.rfc-editor.org/policy.html#policy.refs
>>
>> Or see section 2.7 of draft-rfc-editor-rfc2223bis-08.txt
>> This is in fact a rev 8, but I do not think it changed for this section
>> since rev 7.
>>
>> Hope this helps,
>> Bert
>>
>>  
>>
>>> If my understanding is correct, I need to move the RFC 3415 
>>> reference up in the Normative References section. That leaves only 
>>> the RFC 3410 reference in the Informative References section. 
>>> However RFC 3410 is referenced in the draft on page 66 which means 
>>> it should be moved up in the Normative References section as well. 
>>> This leaves nothing in the Informative References section. Is this 
>>> what I need to do?
>>> If so, would it be best to delete the Informative References 
>>> section, keep the section and add "None." to maintain consistency 
>>> with the boilerplate, or is their some Informative References that 
>>> I'm missing?
>>>
>>> Thanks,
>>> Clay
>>>

-- Paradyne Mail --